Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003522Doomseeker[All Projects] Suggestionpublic2018-09-25 01:592018-10-06 18:19
ReporterWubTheCaptain 
Assigned ToWubTheCaptain 
PrioritynormalSeveritytextReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.2 
Target Version1.2Fixed in Version1.2 
Summary0003522: Update LEGALCOPYRIGHT_DEF year in copyright notice
Description
./src/core/versiondefs.cmake:set(LEGALCOPYRIGHT_DEF "The Doomseeker Team 2009 - 2017")


Should have 2018 in it.
Additional Informationlazy reporter. delet. (see, no Mercurial read-write or Bitbucket access.)

0003450 and 0003509 were resolved recently.
Attached Filespatch file icon 0001-versiondefs.cmake-Add-2018-to-copyright-year.patch [^] (1,119 bytes) 2018-09-25 03:00 [Show Content]

- Relationships
related to 0003237closedWubTheCaptain Non-free files and copyright issues in source archive 

-  Notes
User avatar (0019746)
WubTheCaptain (developer)
2018-09-25 03:00

Patch attached, waiting Zalewa and/or Blzut's approval and merge.
User avatar (0019747)
WubTheCaptain (developer)
2018-09-25 03:04
edited on: 2018-09-25 03:05

I also like to find issues (spend time on bughunting) more than using/learning Mercurial, though occassionally I find interest and time for one-liners like these. <3 git, mailing lists and CVS. 😛

Also, author name. 😞

User avatar (0019765)
Zalewa (developer)
2018-09-25 20:57

Merged:https://bitbucket.org/Doomseeker/doomseeker/commits/adbf20d6aeacdd434bf740af8319fd29852f8880 [^]

I once met a guy in Norway whose legal name was "Captain Blowing up the Storm". He told me that in Norway you can name yourself however you like, so he named himself like this.
User avatar (0019772)
WubTheCaptain (developer)
2018-09-26 00:42
edited on: 2018-09-26 00:46

Off-topic in response to Zalewa: First and last names in Finland are governed by law called Etu- ja sukunimilaki 19.12.2017/946, so I can't go change my legal name without a supporting doctor's testimony if it's deemed "inappropriate" by the law. (Yes, I've tried personally. In Germany and US, it involves courts and possibly criminal background checks.)

I still use my legal name in contexts with legal implications (such as commits), until I can get juridical confirmation of my affirmed name.

But that's a cool Norwegian name. People with "null" in their name can cause some issues: Jennifer Null (BBC), Mr. Null (Wired).


Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2018-09-25 01:59 WubTheCaptain New Issue
2018-09-25 01:59 WubTheCaptain Relationship added related to 0003237
2018-09-25 02:59 WubTheCaptain Assigned To => WubTheCaptain
2018-09-25 02:59 WubTheCaptain Status new => assigned
2018-09-25 03:00 WubTheCaptain File Added: 0001-versiondefs.cmake-Add-2018-to-copyright-year.patch
2018-09-25 03:00 WubTheCaptain Note Added: 0019746
2018-09-25 03:00 WubTheCaptain Status assigned => needs review
2018-09-25 03:00 WubTheCaptain Target Version => 1.2
2018-09-25 03:04 WubTheCaptain Note Added: 0019747
2018-09-25 03:05 WubTheCaptain Note Edited: 0019747 View Revisions
2018-09-25 20:57 Zalewa Note Added: 0019765
2018-09-26 00:42 WubTheCaptain Note Added: 0019772
2018-09-26 00:42 WubTheCaptain Status needs review => resolved
2018-09-26 00:42 WubTheCaptain Fixed in Version => 1.2
2018-09-26 00:42 WubTheCaptain Resolution open => fixed
2018-09-26 00:43 WubTheCaptain Note Edited: 0019772 View Revisions
2018-09-26 00:43 WubTheCaptain Note Edited: 0019772 View Revisions
2018-09-26 00:43 WubTheCaptain Note Edited: 0019772 View Revisions
2018-09-26 00:45 WubTheCaptain Note Edited: 0019772 View Revisions
2018-09-26 00:45 WubTheCaptain Note Edited: 0019772 View Revisions
2018-09-26 00:46 WubTheCaptain Note Edited: 0019772 View Revisions
2018-10-06 18:19 WubTheCaptain Status resolved => closed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker